#version unofficial MegaPov 1.0   
//Generates a dial face from 0 to 315 in 45 degree angles   
//Best used with a square output image 
//Released into the public domain by the author, Charles Hoffmann
//No attribution necessary

#include "colors.inc"
#include "finish.inc"

global_settings
{
        ambient_light color White
}

camera
{       
        orthographic 
        up y*13
        right x*13
        location <0,0,-13>
        look_at <0,0,0>

}

background
{
        color White
}

//Put numbers at 45 degree angles around a circle
#declare Ctr=0;

#while(Ctr<360)
text
{
        ttf "euclid.ttf"
        str(Ctr,0,0)
        0
        <0,0,0>
        h_align_center 
        v_align_center  
        no_shadow
        scale <.75,.75,0>
        translate <0,6,0> 
        rotate <0,0,360-Ctr>
        texture
        {
                pigment
                {
                        color Black
                }
        }
} 
#declare Ctr=Ctr+45;
#end

//Draw a circle of tick marks with very heavy ticks at every 45 degrees, heavy ticks every five degrees,
//and a light tick at every degree.
#declare Ctr=0;

#while(Ctr<360)
box
{       
        #if(mod(Ctr,45) = 0)
        <-.025,.2,0>,
        <.025,-.6,0>
        #else
        #if(mod(Ctr,5) = 0)
        <-.015,.2,0>,
        <.015,-.4,0>
        #else
        <-.015,.2,0>,
        <.015,-.2,0> 
        #end
        #end 
        no_shadow
        translate <0,5.45,0> 
        rotate <0,0,360-Ctr>
        texture
        {
                pigment
                {
                        color Black
                }
                
        }
} 
#declare Ctr=Ctr+1;
#end

                                        
     